Bug 973672 - Firstboot -t option throws exception
Summary: Firstboot -t option throws exception
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rhn-client-tools (Show other bugs)
(Show other bugs)
Version: 6.4
Hardware: Unspecified Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Michael Mráka
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: rhsm-rhel66
TreeView+ depends on / blocked
 
Reported: 2013-06-12 13:25 UTC by Rehana
Modified: 2014-11-10 14:25 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-10 14:25:52 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ssl_firstboot (138.55 KB, image/png)
2013-06-12 13:25 UTC, Rehana
no flags Details
firstboot_exception (147.25 KB, image/png)
2013-06-12 13:26 UTC, Rehana
no flags Details
exception (41.63 KB, text/plain)
2013-06-12 13:26 UTC, Rehana
no flags Details

Description Rehana 2013-06-12 13:25:28 UTC
Created attachment 760152 [details]
ssl_firstboot

Description of problem:
Observed that firstboot -t option was throwing exception on rhel6.4

Version-Release number of selected component (if applicable):
rpm -qa | grep subscr
subscription-manager-gui-1.8.10-1.el6_4.x86_64
subscription-manager-migration-1.8.10-1.el6_4.x86_64
subscription-manager-1.8.10-1.el6_4.x86_64
subscription-manager-debuginfo-1.8.10-1.el6_4.x86_64
subscription-manager-migration-data-1.12.2.6-1.git.0.171d4c3.el6.noarch
subscription-manager-firstboot-1.8.10-1.el6_4.x86_64


How reproducible:
3/3

Steps to Reproduce:
1.on CLI issue the command firstboot -t
2.on the 5 th screen ie "Provide Certificate" page select any of the option and click next


Actual results:
Observed the exception (PFA:ssl_firstboot.png,firstboot_exception.ong, exception.txt)

Expected results:
Exception should not there

Additional info:
I have also tried to exectue firstboot -t before and after registering the system, but observed the same thing

Comment 1 Rehana 2013-06-12 13:26:17 UTC
Created attachment 760153 [details]
firstboot_exception

Comment 2 Rehana 2013-06-12 13:26:58 UTC
Created attachment 760154 [details]
exception

Comment 4 Vratislav Podzimek 2013-09-18 13:50:25 UTC
firstboot 1.110.14 exception report
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/firstboot/interface.py", line 105, in _nextClicked
    self.advance()
  File "/usr/lib/python2.6/site-packages/firstboot/interface.py", line 157, in advance
    self.moveToPage(pageNum=self._control.currentPage+1)
  File "/usr/lib/python2.6/site-packages/firstboot/interface.py", line 412, in moveToPage
    self.displayModule()
  File "/usr/lib/python2.6/site-packages/firstboot/interface.py", line 335, in displayModule
    currentModule.initializeUI()
  File "/usr/share/rhn/up2date_client/firstboot/rhn_login_gui.py", line 81, in initializeUI
    self.loginPage.loginPagePrepare()
  File "/usr/share/rhn/up2date_client/rhnregGui.py", line 426, in loginPagePrepare
    assert serverType in ['hosted', 'satellite']
AssertionError

This looks to me as a but in the subscription-manager's module. Probably it's ignoring the 'testing' flag. Reassigning.

Comment 5 Adrian Likins 2013-09-18 18:18:32 UTC
Those screens (and the traceback) are from the rhn-client-tools package. Moving there.

Comment 6 RHEL Product and Program Management 2013-10-14 03:22:19 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 8 RHEL Product and Program Management 2014-11-10 14:25:52 UTC
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.


Note You need to log in before you can comment on or make changes to this bug.